Public Member Functions | Data Fields

# GRFFileProps Struct Reference

Data related to the handling of grf files. More...

`#include <newgrf_commons.h>`

Inheritance diagram for GRFFileProps:

## Public Member Functions
| GRFFileProps (uint16 subst_id)
| Set all default data constructor for the props.
| GRFFileProps ()
| Simple constructor for the props.
## Data Fields
uint16 | subst_id
uint16 | override
| id of the entity been replaced by

## Detailed Description

Data related to the handling of grf files.

Definition at line 325 of file newgrf_commons.h.

## Constructor & Destructor Documentation

GRFFileProps::GRFFileProps | ( | uint16 | subst_id | ) | `[inline]`

Set all default data constructor for the props.

Definition at line 327 of file newgrf_commons.h.

GRFFileProps::GRFFileProps | ( |  | ) | `[inline]`

Simple constructor for the props.

Definition at line 333 of file newgrf_commons.h.

The documentation for this struct was generated from the following file:

- src/newgrf_commons.h